namespace MyOffice.Data.Repositories.Currency;

using Microsoft.EntityFrameworkCore;
using Models.Currencies;
using MyOffice.DbContext;

public class CurrencyGlobalRepository : AppRepository<CurrencyGlobal>, ICurrencyGlobalRepository
{
	public CurrencyGlobalRepository(AppDbContext context) : base(context)
	{
	}

	public List<CurrencyGlobal> GetAll()
	{
		return _context.CurrencyGlobals.ToList();
	}

	public async Task<List<CurrencyGlobal>> GetAllAsync(CancellationToken cancellationToken = default)
	{
		return await _context.CurrencyGlobals.ToListAsync(cancellationToken);
	}
}
